Subject: bug#70352: 29.3.50; emacs-pgtk: possible leak of virtual memory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Apr 2024 15:02:03 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 13 Apr 2024 18:59:49 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> Date: Sat, 13 Apr 2024 09:55:49 +0800
> >> From:  Po Lu via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> Yang Yingchao <[email-masked]> writes:
> >> 
> >> > I'm testing Emacs built with Pgtk (with GTK-4.12.5), and I suspect there
> >> 
> >> The GTK 4 version of the PGTK port was a failed experiment of mine that
> >> I quickly concluded was not feasible to continue maintaining, and is now
> >> effectively abandoned.  It goes without saying that one shouldn't expect
> >> to receive support for it on this list.
> >
> > Can we display a prominent warning to that effect when Emacs is
> > configured for PGTK to be built with GTK4?
> 
> It's really not "we", just "I"--the code implementing such a
> configuration doesn't exist in the Emacs repository on Savannah...

Maybe I'm confused, but if this code is not in Emacs, how come the OP
bumped into this problem in the first place?  What am I missing?